#ifndef EDAQ530COMM_H_
#define EDAQ530COMM_H_

typedef enum channel_type {
	voltage_ch,
	resistor_ch,
	inamp_ch,
	photo_ch,
	wheatstone_ch
} channel_type;

typedef enum quantity_type {
	voltage,
	resistance,
	temp_kelvin,
	temp_celsius
} quantity_type;


extern const float ADC_RES;
extern const int PULLUP_RESISTANCE;
extern const int THERM_R_25;
extern const int THERM_B;

void error_sent_and_received_not_match(unsigned char sent, unsigned char received);

int open_edaq(char* name);

unsigned char send_and_receive(int fd, unsigned char c);

unsigned char send_receive_check(int fd, unsigned char c);

void start_cont_sampling(int fd);

void fill_array_cont_sampling(int fd, int* data, int count);

void stop_cont_sampling(int fd);

void print_edaq_id(int fd);

void set_inputs(int fd, channel_type ch_a, channel_type ch_b, channel_type ch_c);

void set_sampling_freq(int fd, unsigned int sampling_freq);

void measure_edaq(int fd, int* data);

float get_measured_quantity(int d, quantity_type type);


#endif
