
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>
#include <time.h>
#include "edaq530comm.h"

#define PERIOD_US 1000000

int main(int argc, char *argv[])
{
	if (argc < 2)
	{
		printf("Run program using argument (for example /dev/ttyUSB0)! The program now exit...\n");
		exit(EXIT_FAILURE);
	}
	unsigned char c='D';
	int fd = open(argv[1], O_RDWR | O_NOCTTY | O_SYNC);

	if(fd == -1)
	{
		printf("Failed to open %s! The program now exit...\n", argv[1]);
		exit(EXIT_FAILURE);
	}
	printf("%s is opened\n", argv[1]);	
	
	print_edaq_id(fd);
	set_inputs(fd, resistor_ch, voltage_ch, voltage_ch);

	int data[3];
	float temp;
	printf("Measuring thermistor temperature on ch A\n");
	while (1)
	{
		measure_edaq(fd, data);
		temp = get_measured_quantity(data[0], temp_celsius);
		printf("Temperature:\t%.2f C\n", temp);
		usleep(PERIOD_US);
	}
	close(fd);
	return 0;
}
